export const Marks = ({
  data,
  yScale,
  xScale,
  xValue,
  x2Value,
  yValue,
  tooltipFormat,
}) =>
  data.map((d) => (
    <g transform={`translate(0, ${-yScale.bandwidth() / 2})`}>
      <rect
        className="mark"
        key={yValue(d)}
        x={0}
        y={yScale(yValue(d))}
        width={xScale(xValue(d))}
        height={yScale.bandwidth()}
      >
        <title>{xValue(d) + '%'}</title>
      </rect>
      <rect
        className="rect-2"
        key={yValue(d)}
        x={0}
        y={yScale(yValue(d)) + yScale.bandwidth()}
        width={xScale(x2Value(d))}
        height={yScale.bandwidth()}
      >
        <title>{x2Value(d) + '%'}</title>
      </rect>
    </g>
  ));
