import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'data.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.moneyPt = +d.moneyPt;
      d.actionsPt = +d.actionsPt;
      return d;
    };
    csv(csvUrl, row).then((data) =>
      setData(data.slice(0, 10))
    );
  }, []);
  console.log(data)
  return data;
};